MagicMirror² v2.4.1 is available! For more information about this release, check out this topic.
Please read the release notes carefully since this update requires adjustments to your Raspberry Pi configuration!

Failed to load gRPC binary module - MMM-Assistant.



  • I installed MMM-Assistant following Wiki instruction.

    My error :

    0|mm       | { Error: Failed to load gRPC binary module because it was not installed for the current system
    0|mm       | Expected directory: electron-v1.4-linux-arm-glibc
    0|mm       | Found: [electron-v1.4-linux-arm-{libc}, node-v48-linux-arm-glibc]
    0|mm       | This problem can often be fixed by running "npm rebuild" on the current system
    0|mm       | Original error: Cannot find module '/home/pi/MagicMirror/modules/MMM-Assistant/node_modules/grpc/src/node/extension_binary/electron-v1.4-linux-arm-glibc/grpc_node.node'
    0|mm       |     at Object. (/home/pi/MagicMirror/modules/MMM-Assistant/node_modules/grpc/src/grpc_extension.js:53:17)
    0|mm       |     at Module._compile (module.js:556:32)
    0|mm       |     at Object.Module._extensions..js (module.js:565:10)
    0|mm       |     at Module.load (module.js:473:32)
    0|mm       |     at tryModuleLoad (module.js:432:12)
    0|mm       |     at Function.Module._load (module.js:424:3)
    0|mm       |     at Module.require (module.js:483:17)
    0|mm       |     at require (internal/module.js:20:19)
    0|mm       |     at Object. (/home/pi/MagicMirror/modules/MMM-Assistant/node_modules/grpc/src/client.js:37:12)
    0|mm       |     at Module._compile (module.js:556:32) code: 'MODULE_NOT_FOUND' }
    

    Any suggestions?
    thnks



  • I too am running into this issue with my new mirror. I tried running npm rebuild with no luck. Planning on bashing my head against it until I fix it this weekend, will post back with results.



  • The module has now been fixed and is working good as of today. Please update!